# Uses of Class
org.jmol.viewer.Viewer

Packages that use Viewer
Package
Description
org.jmol.adapter.readers.cif
org.jmol.adapter.readers.pdb
org.jmol.adapter.readers.quantum
org.jmol.adapter.smarter
org.jmol.adapter.writers
org.jmol.api
org.jmol.api.js
org.jmol.awt
org.jmol.awtjs2d
org.jmol.console
org.jmol.consolejs
org.jmol.dialog
org.jmol.dssx
org.jmol.export
org.jmol.g3d
Provides a software implementation of complete 3D graphics engine for rendering molecules and associated shapes.
org.jmol.i18n
org.jmol.image
org.jmol.inchi
org.jmol.io
org.jmol.jsv
org.jmol.minimize
org.jmol.modelkit
org.jmol.modelset
org.jmol.modelsetbio
org.jmol.multitouch
org.jmol.multitouch.sparshui
org.jmol.navigate
org.jmol.popup
org.jmol.quantum
org.jmol.render
org.jmol.script
org.jmol.scriptext
org.jmol.shape
org.jmol.shapespecial
org.jmol.shapesurface
org.jmol.symmetry
org.jmol.thread
org.jmol.util
org.jmol.viewer
org.jmol.viewer.binding
org.molecularplayground
org.openscience.jmol.app
org.openscience.jmol.app.janocchio
org.openscience.jmol.app.jmolpanel
org.openscience.jmol.app.jmolpanel.console
org.openscience.jmol.app.jsonkiosk
org.openscience.jmol.app.status
org.openscience.jmol.app.webexport

## Uses of Viewer in org.jmol.adapter.readers.cif

Methods in org.jmol.adapter.readers.cif with parameters of type Viewer
Modifier and Type
Method
Description
`String`
MMCifValidationParser.`finalizeValidations(Viewer vwr, Map<String,Integer> modelMap)`
Create property_xxxx for each validation category.

## Uses of Viewer in org.jmol.adapter.readers.pdb

Methods in org.jmol.adapter.readers.pdb with parameters of type Viewer
Modifier and Type
Method
Description
`String[]`
JmolDataReader.`getJmolDataFrameScripts(Viewer vwr, int tok, int modelIndex, int modelCount, String type, String qFrame, String[] props, boolean isSpinPointGroup)`
`BS`
JmolDataReader.`getPlotSpinSet(Viewer vwr, BS bs, int modelIndex, P3 minXYZ, P3 maxXYZ)`
remove non-spin atoms and atoms with duplicated spin and set min/max XYZ for the plot

## Uses of Viewer in org.jmol.adapter.readers.quantum

Methods in org.jmol.adapter.readers.quantum with parameters of type Viewer
Modifier and Type
Method
Description
`boolean`
GenNBOReader.`readNBOCoefficients(Map<String,Object> moData, String nboType, Viewer vwr)`
Called by setNBOType in IsoExt when use issues NBO TYPE xxx
`NBOParser`
NBOParser.`set(Viewer vwr)`

## Uses of Viewer in org.jmol.adapter.smarter

Fields in org.jmol.adapter.smarter declared as Viewer
Modifier and Type
Field
Description
`Viewer`
AtomSetCollectionReader.`vwr`
Methods in org.jmol.adapter.smarter with parameters of type Viewer
Modifier and Type
Method
Description
`Tensor`
XtalSymmetry.FileSymmetry.`getTensor(Viewer vwr, float[] parBorU)`

## Uses of Viewer in org.jmol.adapter.writers

Fields in org.jmol.adapter.writers declared as Viewer
Modifier and Type
Field
Description
`protected Viewer`
CIFWriter.`vwr`
`protected Viewer`
CMLWriter.`vwr`
Methods in org.jmol.adapter.writers with parameters of type Viewer
Modifier and Type
Method
Description
`static String`
CDXMLWriter.`fromString(Viewer vwr, String type, String mol)`
`void`
CDXMLWriter.`set(Viewer viewer, OC out, Object[] data)`
`void`
CIFWriter.`set(Viewer viewer, OC oc, Object[] data)`
`void`
CMLWriter.`set(Viewer viewer, OC out, Object[] data)`
`void`
PDBWriter.`set(Viewer viewer, OC oc, Object[] data)`
`void`
PWMATWriter.`set(Viewer viewer, OC oc, Object[] data)`
`void`
QCJSONWriter.`set(Viewer viewer, OC oc, Object[] data)`
`void`
XSFWriter.`set(Viewer viewer, OC oc, Object[] data)`
`MOLWriter`
MOLWriter.`setViewer(Viewer vwr)`

## Uses of Viewer in org.jmol.api

Methods in org.jmol.api with parameters of type Viewer
Modifier and Type
Method
Description
`void`
SymmetryInterface.`calculateCIPChiralityForAtoms(Viewer vwr, BS bsAtoms)`
`String`
JmolAnnotationParser.`calculateDSSRStructure(Viewer vwr, BS bsAtoms)`
`String`
JmolAnnotationParser.`catalogStructureUnits(Viewer vwr, SV svMap, int[] modelAtomIndices, Map<String,int[]> resMap, Object object, Map<String,Integer> modelMap)`
`Lst<Object>`
JmolAnnotationParser.`catalogValidations(Viewer vwr, SV validation, int[] modelAtomIndices, Map<String,int[]> valResMap, Map<String,Integer> map, Map<String,Integer> modelMap)`
`String`
JmolMovieCreatorInterface.`createMovie(Viewer vwr, String[] files, int width, int height, int fps, String fileName)`
create a movie from a set of image files
`String`
JmolAnnotationParser.`getAnnotationInfo(Viewer vwr, SV a, String match, int type, int modelIndex)`
`BS`
JmolAnnotationParser.`getAtomBits(Viewer vwr, String key, Object dssr, Map<String,Object> cache, int type, int modelIndex, BS bsModel)`
`Lst<Float>`
JmolAnnotationParser.`getAtomValidation(Viewer vwr, String type, Atom atom)`
`void`
JmolAnnotationParser.`getBasePairs(Viewer vwr, int modelIndex)`
`String`
JmolDialogInterface.`getFileNameFromDialog(Viewer vwr, String dialogType, String inputFileName)`
`String`
JmolDialogInterface.`getImageFileNameFromDialog(Viewer vwr, String fileName, String type, String[] imageChoices, String[] imageExtensions, int qualityJPG, int qualityPNG)`
`String`
JmolInChI.`getInchi(Viewer vwr, BS atoms, Object molData, String options)`
`static Object`
Interface.`getInterface(String name, Viewer vwr, String state)`
`AtomIndexIterator`
SymmetryInterface.`getIterator(Viewer vwr, Atom atom, BS bstoms, float radius)`
`String`
JmolDialogInterface.`getOpenFileNameFromDialog(Map<String,Object> vwrOptions, Viewer vwr, String fileName, JmolAppAPI historyFile, String windowName, boolean allowAppend)`
`static Object`
Interface.`getOption(String className, Viewer vwr, String state)`
Note! Do not use this method with "viewer." or "util." because when the JavaScript is built, "org.jmol.util" and "org.jmol.viewer" are condensed to "JU" and "JV" (javajs.util is also JU)
`String`
JmolDialogInterface.`getSaveFileNameFromDialog(Viewer vwr, String data, String type)`
`static SymmetryInterface`
Interface.`getSymmetry(Viewer vwr, String state)`
`static Object`
Interface.`getUtil(String name, Viewer vwr, String state)`
`Object`
JmolRendererInterface.`initializeExporter(Viewer vwr, double privateKey, GData gdata, Map<String,Object> params)`
`boolean`
JmolRendererInterface.`initializeOutput(Viewer vwr, double privateKey, Map<String,Object> params)`
`void`
JmolParallelProcessor.`runAllProcesses(Viewer vwr)`
`JmolDataManager`
JmolDataManager.`set(Viewer vwr)`
`void`
JmolFilesReaderInterface.`set(FileManager fileManager, Viewer vwr, String[] fullPathNames, String[] namesAsGiven, String[] fileTypes, DataReader[] readers, Map<String,Object> htParams, boolean isAppend)`
`void`
JmolNavigatorInterface.`set(TransformManager transformManager, Viewer vwr)`
`void`
JmolRepaintManager.`set(Viewer vwr, ShapeManager shapeManager)`
`void`
JmolWriter.`set(Viewer vwr, OC out, Object[] data)`
`SymmetryInterface`
SymmetryInterface.`setPointGroup(Viewer vwr, SymmetryInterface pointGroupPrevious, T3 center, T3[] atomset, BS bsAtoms, boolean haveVibration, float distanceTolerance, float linearTolerance, int maxAtoms, boolean localEnvOnly)`
`JmolJSpecView`
JmolJSpecView.`setViewer(Viewer vwr)`
`JmolNMRInterface`
JmolNMRInterface.`setViewer(Viewer vwr)`
`void`
JmolPropertyManager.`setViewer(Viewer vwr)`
`JmolScriptEvaluator`
JmolScriptEvaluator.`setViewer(Viewer vwr)`
`JmolScriptEvaluator`
JmolScriptManager.`setViewer(Viewer vwr)`
`SymmetryInterface`
SymmetryInterface.`setViewer(Viewer vwr, String id)`
for Viewer.getSymStatic only
`void`
JmolAppConsoleInterface.`start(Viewer vwr)`

## Uses of Viewer in org.jmol.api.js

Methods in org.jmol.api.js with parameters of type Viewer
Modifier and Type
Method
Description
`GenericImageDialog`
JmolToJSmolInterface.`consoleGetImageDialog(Viewer vwr, String title, Map<String, GenericImageDialog> imageMap)`

## Uses of Viewer in org.jmol.awt

Constructors in org.jmol.awt with parameters of type Viewer
Modifier
Constructor
Description
``
`FileDropper(JmolStatusListener statusListener, Viewer vwr, JmolDropEditor dropListener)`

## Uses of Viewer in org.jmol.awtjs2d

Constructors in org.jmol.awtjs2d with parameters of type Viewer
Modifier
Constructor
Description
``
`Mouse(double privateKey, Viewer vwr, Object display)`

## Uses of Viewer in org.jmol.console

Fields in org.jmol.console declared as Viewer
Modifier and Type
Field
Description
`Viewer`
GenericConsole.`vwr`
`protected Viewer`
ImageDialog.`vwr`
Methods in org.jmol.console with parameters of type Viewer
Modifier and Type
Method
Description
`protected void`
GenericConsole.`setViewer(Viewer vwr)`
`void`
AppletConsole.`start(Viewer vwr)`
Constructors in org.jmol.console with parameters of type Viewer
Modifier
Constructor
Description
``
`ImageDialog(Viewer vwr, String title, Map<String, GenericImageDialog> imageMap)`

## Uses of Viewer in org.jmol.consolejs

Methods in org.jmol.consolejs with parameters of type Viewer
Modifier and Type
Method
Description
`void`
AppletConsole.`start(Viewer vwr)`

## Uses of Viewer in org.jmol.dialog

Fields in org.jmol.dialog declared as Viewer
Modifier and Type
Field
Description
`protected Viewer`
Dialog.`vwr`
Methods in org.jmol.dialog with parameters of type Viewer
Modifier and Type
Method
Description
`String`
Dialog.`getFileNameFromDialog(Viewer v, String dType, String iFileName)`
`String`
Dialog.`getImageFileNameFromDialog(Viewer vwr, String fileName, String type, String[] imageChoices, String[] imageExtensions, int qualityJPG0, int qualityPNG0)`
`String`
Dialog.`getOpenFileNameFromDialog(Map<String,Object> vwrOptions, Viewer vwr, String fileName, JmolAppAPI jmolApp, String windowName, boolean allowAppend)`
`String`
Dialog.`getSaveFileNameFromDialog(Viewer vwr, String fileName, String type)`
Constructors in org.jmol.dialog with parameters of type Viewer
Modifier
Constructor
Description
``
`FilePreview(Viewer vwr, JFileChooser fileChooser, boolean allowAppend, Map<String,Object> vwrOptions)`
Constructor

## Uses of Viewer in org.jmol.dssx

Methods in org.jmol.dssx with parameters of type Viewer
Modifier and Type
Method
Description
`String`
AnnotationParser.`calculateDSSRStructure(Viewer vwr, BS bsAtoms)`
`String`
DSSR1.`calculateDSSRStructure(Viewer vwr, BS bsAtoms)`
`String`
AnnotationParser.`catalogStructureUnits(Viewer viewer, SV map0, int[] modelAtomIndices, Map<String,int[]> resMap, Object object, Map<String,Integer> modelMap)`
RNA3D --
`Lst<Object>`
AnnotationParser.`catalogValidations(Viewer viewer, SV map0, int[] modelAtomIndices, Map<String,int[]> resMap, Map<String,Integer> atomMap, Map<String,Integer> modelMap)`
Returns a Lst
`String`
AnnotationParser.`getAnnotationInfo(Viewer vwr, SV a, String match, int type, int modelIndex)`
Get a string report of annotation data
`BS`
AnnotationParser.`getAtomBits(Viewer vwr, String key, Object dbObj, Map<String,Object> annotationCache, int type, int modelIndex, BS bsModel)`
////////////////// general post-load processing ////////////////
`BS`
DSSR1.`getAtomBits(Viewer vwr, String key, Object dbObj, Map<String,Object> annotationCache, int type, int modelIndex, BS bsModel)`
`Lst<Float>`
AnnotationParser.`getAtomValidation(Viewer vwr, String type, Atom atom)`
Get all validation values corresponding to a specific validation type.
`void`
AnnotationParser.`getBasePairs(Viewer vwr, int modelIndex)`
`void`
DSSR1.`getBasePairs(Viewer vwr, int modelIndex)`

## Uses of Viewer in org.jmol.export

Fields in org.jmol.export declared as Viewer
Modifier and Type
Field
Description
`protected Viewer`
___Exporter.`vwr`
Methods in org.jmol.export with parameters of type Viewer
Modifier and Type
Method
Description
`Object`
Export3D.`initializeExporter(Viewer vwr, double privateKey, GData gdata, Map<String,Object> params)`
`boolean`
Export3D.`initializeOutput(Viewer vwr, double privateKey, Map<String,Object> params)`
`protected boolean`
___Exporter.`initOutput(Viewer vwr, double privateKey, GData g3d, Map<String,Object> params)`

## Uses of Viewer in org.jmol.g3d

Methods in org.jmol.g3d with parameters of type Viewer
Modifier and Type
Method
Description
`void`
Graphics3D.`initialize(Viewer vwr, GenericPlatform apiPlatform)`
`JmolRendererInterface`
Graphics3D.`initializeExporter(Viewer vwr, double privateKey, GData g3d, Map<String,Object> params)`
`boolean`
Graphics3D.`initializeOutput(Viewer vwr, double privateKey, Map<String,Object> params)`

## Uses of Viewer in org.jmol.i18n

Constructors in org.jmol.i18n with parameters of type Viewer
Modifier
Constructor
Description
``
`GT(Viewer vr, String langCode)`

## Uses of Viewer in org.jmol.image

Methods in org.jmol.image with parameters of type Viewer
Modifier and Type
Method
Description
`String`
AviCreator.`createMovie(Viewer vwr, String[] files, int width, int height, int fps, String fileName)`

## Uses of Viewer in org.jmol.inchi

Methods in org.jmol.inchi with parameters of type Viewer
Modifier and Type
Method
Description
`String`
InChIJNA.`getInchi(Viewer vwr, BS atoms, Object molData, String options)`
`String`
InChIJS.`getInchi(Viewer vwr, BS atoms, Object molData, String options)`
`protected String`
InchiJmol.`getSmiles(Viewer vwr, String smilesOptions)`
`protected String`
InchiJmol.`setParameters(String options, Object molData, BS atoms, Viewer vwr)`

## Uses of Viewer in org.jmol.io

Methods in org.jmol.io with parameters of type Viewer
Modifier and Type
Method
Description
`Object`
JmolUtil.`getAtomSetCollectionOrBufferedReaderFromZip(Viewer vwr, InputStream is, String fileName, String[] zipDirectory, Map<String,Object> htParams, int subFilePtr, boolean asBufferedReader)`
A rather complicated means of reading a ZIP file, which could be a single file, or it could be a manifest-organized file, or it could be a Spartan directory.
`Object`
JmolUtil.`getImage(Viewer vwr, Object fullPathNameOrBytes, String echoName, boolean forceSync)`
`void`
FilesReader.`set(FileManager fileManager, Viewer vwr, String[] name, String[] nameAsGiven, String[] types, DataReader[] readers, Map<String,Object> htParams, boolean isAppend)`
Constructors in org.jmol.io with parameters of type Viewer
Modifier
Constructor
Description
``
`FileReader(Viewer vwr, String fileName, String fullPathName, String nameAsGiven, String type, Object reader, Map<String,Object> htParams, boolean isAppend)`

## Uses of Viewer in org.jmol.jsv

Methods in org.jmol.jsv with parameters of type Viewer
Modifier and Type
Method
Description
`JSV`
JSV.`setViewer(Viewer vwr)`

## Uses of Viewer in org.jmol.minimize

Fields in org.jmol.minimize declared as Viewer
Modifier and Type
Field
Description
`Viewer`
Minimizer.`vwr`
Methods in org.jmol.minimize with parameters of type Viewer
Modifier and Type
Method
Description
`int`
MinimizationThread.`setManager(Object manager, Viewer vwr, Object options)`

## Uses of Viewer in org.jmol.modelkit

Fields in org.jmol.modelkit declared as Viewer
Modifier and Type
Field
Description
`protected Viewer`
ModelKit.`vwr`

## Uses of Viewer in org.jmol.modelset

Fields in org.jmol.modelset declared as Viewer
Modifier and Type
Field
Description
`Viewer`
AtomCollection.`vwr`
Methods in org.jmol.modelset with parameters of type Viewer
Modifier and Type
Method
Description
`float`
Atom.`atomPropertyFloat(Viewer vwr, int tokWhat, P3 ptTemp)`
called by isosurface and int comparator via atomProperty() and also by getBitsetProperty()
`int`
Atom.`atomPropertyInt(Viewer vwr, int tokWhat)`
called by isosurface and int comparator via atomProperty() and also by getBitsetProperty()
`String`
Atom.`atomPropertyString(Viewer vwr, int tokWhat)`
`T3`
Atom.`atomPropertyTuple(Viewer vwr, int tok, P3 ptTemp)`
`short`
Atom.`calculateMad(Viewer vwr, RadiusData rd)`
`static LabelToken[]`
LabelToken.`compile(Viewer vwr, String strFormat, char chAtom, Map<String,Object> htValues)`
Compiles a set of tokens for each primitive element of a label.
`static String`
ModelLoader.`createAtomDataSet(Viewer vwr, ModelSet modelSet, int tokType, Object asc, BS bsSelected)`
`String`
LabelToken.`formatLabel(Viewer vwr, Atom atom, String strFormat, P3 ptTemp)`
///////// label formatting for atoms, bonds, and measurements ///////////
`static String`
LabelToken.`formatLabelAtomArray(Viewer vwr, Atom atom, LabelToken[] tokens, char chAtom, int[] indices, P3 ptTemp)`
returns a formatted string based on the precompiled label tokens
`static String`
LabelToken.`formatLabelBond(Viewer vwr, Bond bond, LabelToken[] tokens, Map<String,Object> values, int[] indices, P3 ptTemp)`
`static String`
LabelToken.`formatLabelMeasure(Viewer vwr, Measurement m, String label, float value, String units)`
`float`
Atom.`getVanderwaalsRadiusFloat(Viewer vwr, VDW type)`
`MeasurementData`
MeasurementData.`init(String id, Viewer vwr, Lst<Object> points)`
`static Text`
Text.`newEcho(Viewer vwr, Font font, String target, short colix, int valign, int align, float scalePixelsPerMicron)`
`static Text`
Text.`newLabel(Viewer vwr, Font font, String text, short colix, short bgcolix, int align, float scalePixelsPerMicron)`
`static Text`
Text.`newMeasure(Viewer vwr, Font font, short colix)`
`void`
Atom.`setMadAtom(Viewer vwr, RadiusData rd)`
Constructors in org.jmol.modelset with parameters of type Viewer
Modifier
Constructor
Description
``
`ModelLoader(Viewer vwr, String modelSetName, SB loadScript, Object asc, ModelSet modelSet0, BS bsNew)`
``
`ModelSet(Viewer vwr, String name)`
``
`Orientation(Viewer vwr, boolean asDefault, float[] pymolView)`

## Uses of Viewer in org.jmol.modelsetbio

Methods in org.jmol.modelsetbio with parameters of type Viewer
Modifier and Type
Method
Description
`P3[]`
NucleicMonomer.`getDSSRFrame(Viewer vwr)`
`BioModelSet`
BioModelSet.`set(Viewer vwr, ModelSet ms)`
`BioResolver`
BioResolver.`setViewer(Viewer vwr)`

## Uses of Viewer in org.jmol.multitouch

Methods in org.jmol.multitouch with parameters of type Viewer
Modifier and Type
Method
Description
`boolean`
JmolMultiTouchAdapter.`setMultiTouchClient(Viewer vwr, JmolMultiTouchClient client, boolean isSimulation)`
`boolean`
JmolMultiTouchClientAdapter.`setMultiTouchClient(Viewer vwr, JmolMultiTouchClient client, boolean isSimulation)`
`void`
ActionManagerMT.`setViewer(Viewer vwr, String commandOptions)`

## Uses of Viewer in org.jmol.multitouch.sparshui

Methods in org.jmol.multitouch.sparshui with parameters of type Viewer
Modifier and Type
Method
Description
`boolean`
JmolSparshClientAdapter.`setMultiTouchClient(Viewer vwr, JmolMultiTouchClient client, boolean isSimulation)`

## Uses of Viewer in org.jmol.navigate

Methods in org.jmol.navigate with parameters of type Viewer
Modifier and Type
Method
Description
`void`
Navigator.`set(TransformManager tm, Viewer vwr)`

## Uses of Viewer in org.jmol.popup

Fields in org.jmol.popup declared as Viewer
Modifier and Type
Field
Description
`Viewer`
JmolGenericPopup.`vwr`
Methods in org.jmol.popup with parameters of type Viewer
Modifier and Type
Method
Description
`protected void`
JmolGenericPopup.`initialize(Viewer vwr, PopupResource bundle, String title)`

## Uses of Viewer in org.jmol.quantum

Methods in org.jmol.quantum with parameters of type Viewer
Modifier and Type
Method
Description
`static double[]`
NMRCalculation.`calc2or3JorNOE(Viewer viewer, Atom[] atoms, String CHEquation, int mode)`
Calculate a 2-bond (geminal) or 3-bond (vicinal) coupling constant or an NOE;
`static double[]`
NMRCalculation.`calcNOE(Viewer viewer, Atom atom1, Atom atom2)`
`static NMRNoeMatrix`
NMRNoeMatrix.`createMatrix(Viewer viewer, BS bsMol, String[] labelArray, NMRNoeMatrix.NOEParams params)`
`void`
MepCalculation.`set(Viewer vwr)`
`JmolNMRInterface`
NMRCalculation.`setViewer(Viewer vwr)`

## Uses of Viewer in org.jmol.render

Fields in org.jmol.render declared as Viewer
Modifier and Type
Field
Description
`Viewer`
ShapeRenderer.`vwr`
Methods in org.jmol.render with parameters of type Viewer
Modifier and Type
Method
Description
`void`
RepaintManager.`set(Viewer vwr, ShapeManager shapeManager)`
`final void`
ShapeRenderer.`setViewerG3dShapeID(Viewer vwr, int shapeID)`

## Uses of Viewer in org.jmol.script

Fields in org.jmol.script declared as Viewer
Modifier and Type
Field
Description
`Viewer`
ScriptError.`vwr`
`protected Viewer`
ScriptTokenParser.`vwr`
Methods in org.jmol.script with parameters of type Viewer
Modifier and Type
Method
Description
`void`
ScriptParallelProcessor.`runAllProcesses(Viewer vwr)`
`static SV`
ScriptEval.`runUserAction(String functionName, Object[] params, Viewer vwr)`
`int`
CommandWatcherThread.`setManager(Object manager, Viewer vwr, Object params)`
`static void`
ScriptManager.`setStateScriptVersion(Viewer vwr, String version)`
`ScriptEval`
ScriptEval.`setViewer(Viewer vwr)`
`JmolScriptEvaluator`
ScriptManager.`setViewer(Viewer vwr)`
`static String`
ScriptEval.`statementAsString(Viewer vwr, T[] statement, int iTok, boolean doLogMessages)`
Constructors in org.jmol.script with parameters of type Viewer
Modifier
Constructor
Description
``
`ScriptCompiler(Viewer vwr)`
``
`ScriptQueueThread(ScriptManager scriptManager, Viewer vwr, boolean startedByCommandThread, int pt)`

## Uses of Viewer in org.jmol.scriptext

Fields in org.jmol.scriptext declared as Viewer
Modifier and Type
Field
Description
`protected Viewer`
ScriptExt.`vwr`

## Uses of Viewer in org.jmol.shape

Fields in org.jmol.shape declared as Viewer
Modifier and Type
Field
Description
`Viewer`
Shape.`vwr`
Methods in org.jmol.shape with parameters of type Viewer
Modifier and Type
Method
Description
`final void`
Shape.`initializeShape(Viewer vwr, ModelSet modelSet, int shapeID)`
`Mesh`
Mesh.`mesh1(Viewer vwr, String thisID, short colix, int index)`

## Uses of Viewer in org.jmol.shapespecial

Constructors in org.jmol.shapespecial with parameters of type Viewer
Modifier
Constructor
Description
``
`DrawMesh(Viewer vwr, String thisID, short colix, int index)`

## Uses of Viewer in org.jmol.shapesurface

Methods in org.jmol.shapesurface with parameters of type Viewer
Modifier and Type
Method
Description
`void`
IsosurfaceMesh.`reinitializeLightingAndColor(Viewer vwr)`

## Uses of Viewer in org.jmol.symmetry

Methods in org.jmol.symmetry with parameters of type Viewer
Modifier and Type
Method
Description
`void`
Symmetry.`calculateCIPChiralityForAtoms(Viewer vwr, BS bsAtoms)`
`Symmetry`
SpaceGroupFinder.`checkSupercell(Viewer vwr, Symmetry uc, BS bsPoints, int abc, P3 scaling)`
Look for a supercell and adjust lattice down if necessary.
`AtomIndexIterator`
Symmetry.`getIterator(Viewer vwr, Atom atom, BS bsAtoms, float radius)`
`static T3[]`
UnitCell.`getMatrixAndUnitCell(Viewer vwr, SimpleUnitCell uc, Object def, M4 retMatrix)`
`Tensor`
UnitCell.`getTensor(Viewer vwr, float[] parBorU)`
`CIPData`
CIPData.`set(Viewer vwr, BS bsAtoms)`
Actual constructor.
`CIPDataSmiles`
CIPDataSmiles.`setAtomsForSmiles(Viewer vwr, String smiles)`
`SymmetryInterface`
Symmetry.`setPointGroup(Viewer vwr, SymmetryInterface siLast, T3 center, T3[] atomset, BS bsAtoms, boolean haveVibration, float distanceTolerance, float linearTolerance, int maxAtoms, boolean localEnvOnly)`
`Symmetry`
Symmetry.`setViewer(Viewer vwr, String id)`

## Uses of Viewer in org.jmol.thread

Fields in org.jmol.thread declared as Viewer
Modifier and Type
Field
Description
`protected Viewer`
JmolThread.`vwr`
Methods in org.jmol.thread with parameters of type Viewer
Modifier and Type
Method
Description
`int`
AnimationThread.`setManager(Object manager, Viewer vwr, Object params)`
`int`
JmolThread.`setManager(Object manager, Viewer vwr, Object params)`
`int`
MoveToThread.`setManager(Object manager, Viewer vwr, Object params)`
`int`
SpinThread.`setManager(Object manager, Viewer vwr, Object params)`
`int`
VibrationThread.`setManager(Object manager, Viewer vwr, Object options)`
`static void`
TimeoutThread.`setTimeout(Viewer vwr, Map<String,Object> timeouts, String name, int mSec, String script)`
`void`
JmolThread.`setViewer(Viewer vwr, String name)`
Constructors in org.jmol.thread with parameters of type Viewer
Modifier
Constructor
Description
``
`HoverWatcherThread(ActionManager actionManager, MouseState current, MouseState moved, Viewer vwr)`
``
`TimeoutThread(Viewer vwr, String name, int ms, String script)`

## Uses of Viewer in org.jmol.util

Fields in org.jmol.util declared as Viewer
Modifier and Type
Field
Description
`protected Viewer`
GenericApplet.`viewer`
`protected Viewer`
GData.`vwr`
`Viewer`
MeshSurface.`vwr`
Methods in org.jmol.util with parameters of type Viewer
Modifier and Type
Method
Description
`void`
BZone.`createBZ(Viewer vwr, int n, Object[] array, boolean isK, String id, float scale, float foffset, P3 offset)`
Create a Brillouin zone.
`void`
BZone.`drawHKL(Viewer vwr, String id, P4 plane, P3[] pts)`
`void`
GData.`initialize(Viewer vwr, GenericPlatform apiPlatform)`
`static float`
SimpleUnitCell.`parseCalc(Viewer vwr, String s)`
`static float`
SimpleUnitCell.`parseCalcFunctions(Viewer vwr, String[] functions, String s)`
`static String`
SimpleUnitCell.`parseSimpleMath(Viewer vwr, String suvw)`
parse math such as "1/sqrt(3)" or "2sqrt(3) or "2cos(3pi/2)"
`void`
JmolAudio.`playAudio(Viewer vwr, Map<String,Object> htParams)`
WAV only for application
Constructors in org.jmol.util with parameters of type Viewer
Modifier
Constructor
Description
``
`ColorEncoder(ColorEncoder ce, Viewer vwr)`

## Uses of Viewer in org.jmol.viewer

Fields in org.jmol.viewer declared as Viewer
Modifier and Type
Field
Description
`protected Viewer`
ActionManager.`vwr`
`Viewer`
AnimationManager.`vwr`
`Viewer`
FileManager.`vwr`
`protected Viewer`
OutputManager.`vwr`
`protected Viewer`
OutputManager.`vwr`
`Viewer`
ShapeManager.`vwr`
`protected final Viewer`
StateManager.`vwr`
`protected Viewer`
StatusManager.`vwr`
`protected Viewer`
TransformManager.`vwr`
Methods in org.jmol.viewer with parameters of type Viewer
Modifier and Type
Method
Description
`static BufferedReader`
FileManager.`getBufferedReaderForResource(Viewer vwr, Class<?> resourceClass, String classPath, String resourceName)`
`static GenericFileInterface`
FileManager.`getLocalDirectory(Viewer vwr, boolean forDialog)`
`static String`
FileManager.`getLocalPathForWritingFile(Viewer vwr, String file, boolean forDialog)`
`JmolChimeMessenger`
ChimeMessenger.`set(Viewer vwr)`
`JmolDataManager`
DataManager.`set(Viewer vwr)`
`JmolChimeMessenger`
JmolChimeMessenger.`set(Viewer vwr)`
`static void`
FileManager.`setLocalPath(Viewer vwr, String path, boolean forDialog)`
called by getImageFileNameFromDialog called by getOpenFileNameFromDialog called by getSaveFileNameFromDialog called by classifyName for any full file load called from the CD command currentLocalPath is set in all cases and is used specifically for dialogs as a first try defaultDirectoryLocal is set only when not from a dialog and is used only in getLocalPathForWritingFile or from an open/save dialog.
`void`
ActionManager.`setViewer(Viewer vwr, String commandOptions)`
`void`
PropertyManager.`setViewer(Viewer vwr)`
Constructors in org.jmol.viewer with parameters of type Viewer
Modifier
Constructor
Description
``
`ShapeManager(Viewer vwr)`

## Uses of Viewer in org.jmol.viewer.binding

Methods in org.jmol.viewer.binding with parameters of type Viewer
Modifier and Type
Method
Description
`static Binding`
Binding.`newBinding(Viewer vwr, String name)`

## Uses of Viewer in org.molecularplayground

Fields in org.molecularplayground declared as Viewer
Modifier and Type
Field
Description
`protected Viewer`
MPJmolApp.`vwr`
Methods in org.molecularplayground with parameters of type Viewer
Modifier and Type
Method
Description
`static String`
MPJmolApp.`getJmolValueAsString(Viewer vwr, String var)`

## Uses of Viewer in org.openscience.jmol.app

Fields in org.openscience.jmol.app declared as Viewer
Modifier and Type
Field
Description
`Viewer`
JmolData.`vwr`
Methods in org.openscience.jmol.app with parameters of type Viewer
Modifier and Type
Method
Description
`void`
JmolPlugin.`start(JFrame frame, Viewer vwr, Map<String,Object> jmolOptions)`

## Uses of Viewer in org.openscience.jmol.app.janocchio

Subclasses of Viewer in org.openscience.jmol.app.janocchio
Modifier and Type
Class
Description
`class`
`NMR_Viewer`
Implements some lost interfaces.
Methods in org.openscience.jmol.app.janocchio with parameters of type Viewer
Modifier and Type
Method
Description
`void`
NMR_DisplayPanel.`setViewer(Viewer viewer)`
`void`
NmrPlugin.`start(JFrame frame, Viewer vwr, Map<String,Object> jmolOptions)`

## Uses of Viewer in org.openscience.jmol.app.jmolpanel

Fields in org.openscience.jmol.app.jmolpanel declared as Viewer
Modifier and Type
Field
Description
`protected Viewer`
DisplayPanel.`vwr`
`Viewer`
JmolPanel.`vwr`
Methods in org.openscience.jmol.app.jmolpanel with parameters of type Viewer
Modifier and Type
Method
Description
`void`
DisplayPanel.`setViewer(Viewer vwr)`
`void`
JmolJME.`setViewer(JFrame frame, Viewer vwr, Container parent)`
Constructors in org.openscience.jmol.app.jmolpanel with parameters of type Viewer
Modifier
Constructor
Description
``
`AtomSetChooser(Viewer vwr, JFrame frame)`
``
`GaussianDialog(JFrame f, Viewer vwr)`
``
`MeasurementTable(Viewer vwr, JFrame parentFrame)`
Constructor
``
`PovrayDialog(JFrame f, Viewer vwr)`
Creates a dialog for getting info related to output frames in povray format.
``
`PreferencesDialog(JmolPanel jmol, JFrame f, GuiMap guimap, Viewer vwr)`

## Uses of Viewer in org.openscience.jmol.app.jmolpanel.console

Methods in org.openscience.jmol.app.jmolpanel.console with parameters of type Viewer
Modifier and Type
Method
Description
`void`
AppConsole.`start(Viewer vwr)`

## Uses of Viewer in org.openscience.jmol.app.jsonkiosk

Methods in org.openscience.jmol.app.jsonkiosk with parameters of type Viewer
Modifier and Type
Method
Description
`void`
JsonNioClient.TouchHandler.`checkPaused(Viewer vwr)`
`void`
JsonNioClient.TouchHandler.`nioSync(Viewer vwr, Map<String,Object> json)`
process touch or gesture commands driven by hardware.
`void`
JsonNioClient.TouchHandler.`pauseScript(Viewer vwr, boolean isPause)`
`void`
JsonNioServer.`startService(int port, JsonNioClient client, Viewer jmolViewer, String name, int version)`
`void`
JsonNioService.`startService(int port, JsonNioClient client, Viewer jmolViewer, String name, int version)`
`void`
JsonNioClient.TouchHandler.`syncScript(Viewer vwr, String script)`

## Uses of Viewer in org.openscience.jmol.app.status

Constructors in org.openscience.jmol.app.status with parameters of type Viewer
Modifier
Constructor
Description
``
`StatusListener(Viewer vwr, JmolPanel jmolPanel, DisplayPanel display)`

## Uses of Viewer in org.openscience.jmol.app.webexport

Methods in org.openscience.jmol.app.webexport with parameters of type Viewer
Modifier and Type
Method
Description
`static WebExport`
WebExport.`createAndShowGUI(Viewer vwr, HistoryFile historyFile, String wName)`